<?xml version="1.0" encoding="US-ASCII" standalone="no"?>
    <!-- Field: Doc-Info; Name: Generator; Value: GoFiler Complete; Version: 5.25b -->
    <!-- Field: Doc-Info; Name: VendorURI; Value: https://www.novaworks.com -->
    <!-- Field: Doc-Info; Name: Status; Value: 0x00000000 -->
<link:linkbase xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrli="http://www.xbrl.org/2003/instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
    <link:roleRef roleURI="http://xbrl.sec.gov/cef/role/N2Cover" xlink:href="https://xbrl.sec.gov/cef/2023/cef-2023.xsd#N2Cover" xlink:type="simple" />
    <link:roleRef roleURI="http://xbrl.sec.gov/cef/role/N2" xlink:href="https://xbrl.sec.gov/cef/2023/cef-2023.xsd#N2" xlink:type="simple" />
    <link:presentationLink xlink:type="extended" xlink:role="http://xbrl.sec.gov/cef/role/N2" xlink:title="995470 - Disclosure - N-2">
      <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/cef/2023/cef-2023.xsd#cef_ProspectusLineItems" xlink:label="loc_cefProspectusLineItems" />
    </link:presentationLink>
    <link:presentationLink xlink:type="extended" xlink:role="http://xbrl.sec.gov/cef/role/N2" />
    <link:presentationLink xlink:type="extended" xlink:role="http://xbrl.sec.gov/cef/role/N2" />
    <link:presentationLink xlink:type="extended" xlink:role="http://xbrl.sec.gov/cef/role/N2" />
    <link:presentationLink xlink:type="extended" xlink:role="http://xbrl.sec.gov/cef/role/N2" />
</link:linkbase>
